Package org.apache.commons.net.imap

# Enum IMAPClient.SEARCH_CRITERIA

java.lang.Object
java.lang.Enum<IMAPClient.SEARCH_CRITERIA>
org.apache.commons.net.imap.IMAPClient.SEARCH_CRITERIA

All Implemented Interfaces:
  `Serializable`, `Comparable<IMAPClient.SEARCH_CRITERIA>`

Enclosing class:
  `IMAPClient`

public static enum IMAPClient.SEARCH_CRITERIA extends Enum<IMAPClient.SEARCH_CRITERIA>
The search criteria defined in RFC 3501.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  All messages in the mailbox.
  `ANSWERED`
  Messages with the \Answered flag set.
  `BCC`
  Messages that contain the specified string in the envelope structure's BCC field.
  `BEFORE`
  Messages whose internal date (disregarding time and time zone) is earlier than the specified date.
  `BODY`
  Messages that contain the specified string in the body of the message.
  `CC`
  Messages that contain the specified string in the envelope structure's CC field.
  `DELETED`
  Messages with the \Deleted flag set.
  `DRAFT`
  Messages with the \Draft flag set.
  `FLAGGED`
  Messages with the \Flagged flag set.
  `FROM`
  Messages that contain the specified string in the envelope structure's FROM field.
  `HEADER`
  Messages that have a header with the specified field-name (as defined in [RFC-2822]) and that contains the specified string in the text of the header (what comes after the colon).
  `KEYWORD`
  Messages with the specified keyword flag set.
  `LARGER`
  Messages with an [RFC-2822] size larger than the specified number of octets.
  `NEW`
  Messages that have the \Recent flag set but not the \Seen flag.
  `NOT`
  Messages that do not match the specified search key.
  `OLD`
  Messages that do not have the \Recent flag set.
  `ON`
  Messages whose internal date (disregarding time and time zone) is within the specified date.
  `OR`
  Messages that match either search key.
  `RECENT`
  Messages that have the \Recent flag set.
  `SEEN`
  Messages that have the \Seen flag set.
  `SENTBEFORE`
  Messages whose [RFC-2822] Date: header (disregarding time and time zone) is earlier than the specified date.
  `SENTON`
  Messages whose [RFC-2822] Date: header (disregarding time and time zone) is within the specified date.
  `SENTSINCE`
  Messages whose [RFC-2822] Date: header (disregarding time and time zone) is within or later than the specified date.
  `SINCE`
  Messages whose internal date (disregarding time and time zone) is within or later than the specified date.
  `SMALLER`
  Messages with an [RFC-2822] size smaller than the specified number of octets.
  `SUBJECT`
  Messages that contain the specified string in the envelope structure's SUBJECT field.
  `TEXT`
  Messages that contain the specified string in the header or body of the message.
  `TO`
  Messages that contain the specified string in the envelope structure's TO field.
  `UID`
  Messages with unique identifiers corresponding to the specified unique identifier set.
  `UNANSWERED`
  Messages that do not have the \Answered flag set.
  `UNDELETED`
  Messages that do not have the \Deleted flag set.
  `UNDRAFT`
  Messages that do not have the \Draft flag set.
  `UNFLAGGED`
  Messages that do not have the \Flagged flag set.
  `UNKEYWORD`
  Messages that do not have the specified keyword flag set.
  `UNSEEN`
  Messages that do not have the \Seen flag set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IMAPClient.SEARCH_CRITERIA`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IMAPClient.SEARCH_CRITERIA[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final IMAPClient.SEARCH_CRITERIA ALL
    All messages in the mailbox.

  - ### ANSWERED

    public static final IMAPClient.SEARCH_CRITERIA ANSWERED
    Messages with the \Answered flag set.

  - ### BCC

    public static final IMAPClient.SEARCH_CRITERIA BCC
    Messages that contain the specified string in the envelope structure's BCC field.

  - ### BEFORE

    public static final IMAPClient.SEARCH_CRITERIA BEFORE
    Messages whose internal date (disregarding time and time zone) is earlier than the specified date.

  - ### BODY

    public static final IMAPClient.SEARCH_CRITERIA BODY
    Messages that contain the specified string in the body of the message.

  - ### CC

    public static final IMAPClient.SEARCH_CRITERIA CC
    Messages that contain the specified string in the envelope structure's CC field.

  - ### DELETED

    public static final IMAPClient.SEARCH_CRITERIA DELETED
    Messages with the \Deleted flag set.

  - ### DRAFT

    public static final IMAPClient.SEARCH_CRITERIA DRAFT
    Messages with the \Draft flag set.

  - ### FLAGGED

    public static final IMAPClient.SEARCH_CRITERIA FLAGGED
    Messages with the \Flagged flag set.

  - ### FROM

    public static final IMAPClient.SEARCH_CRITERIA FROM
    Messages that contain the specified string in the envelope structure's FROM field.

  - ### HEADER

    public static final IMAPClient.SEARCH_CRITERIA HEADER
    Messages that have a header with the specified field-name (as defined in [RFC-2822]) and that contains the specified string in the text of the header (what comes after the colon). If the string to search is zero-length, this matches all messages that have a header line with the specified field-name regardless of the contents.

  - ### KEYWORD

    public static final IMAPClient.SEARCH_CRITERIA KEYWORD
    Messages with the specified keyword flag set.

  - ### LARGER

    public static final IMAPClient.SEARCH_CRITERIA LARGER
    Messages with an [RFC-2822] size larger than the specified number of octets.

  - ### NEW

    public static final IMAPClient.SEARCH_CRITERIA NEW
    Messages that have the \Recent flag set but not the \Seen flag. This is functionally equivalent to "(RECENT UNSEEN)".

  - ### NOT

    public static final IMAPClient.SEARCH_CRITERIA NOT
    Messages that do not match the specified search key.

  - ### OLD

    public static final IMAPClient.SEARCH_CRITERIA OLD
    Messages that do not have the \Recent flag set. This is functionally equivalent to "NOT RECENT" (as opposed to "NOT NEW").

  - ### ON

    public static final IMAPClient.SEARCH_CRITERIA ON
    Messages whose internal date (disregarding time and time zone) is within the specified date.

  - ### OR

    public static final IMAPClient.SEARCH_CRITERIA OR
    Messages that match either search key.

  - ### RECENT

    public static final IMAPClient.SEARCH_CRITERIA RECENT
    Messages that have the \Recent flag set.

  - ### SEEN

    public static final IMAPClient.SEARCH_CRITERIA SEEN
    Messages that have the \Seen flag set.

  - ### SENTBEFORE

    public static final IMAPClient.SEARCH_CRITERIA SENTBEFORE
    Messages whose [RFC-2822] Date: header (disregarding time and time zone) is earlier than the specified date.

  - ### SENTON

    public static final IMAPClient.SEARCH_CRITERIA SENTON
    Messages whose [RFC-2822] Date: header (disregarding time and time zone) is within the specified date.

  - ### SENTSINCE

    public static final IMAPClient.SEARCH_CRITERIA SENTSINCE
    Messages whose [RFC-2822] Date: header (disregarding time and time zone) is within or later than the specified date.

  - ### SINCE

    public static final IMAPClient.SEARCH_CRITERIA SINCE
    Messages whose internal date (disregarding time and time zone) is within or later than the specified date.

  - ### SMALLER

    public static final IMAPClient.SEARCH_CRITERIA SMALLER
    Messages with an [RFC-2822] size smaller than the specified number of octets.

  - ### SUBJECT

    public static final IMAPClient.SEARCH_CRITERIA SUBJECT
    Messages that contain the specified string in the envelope structure's SUBJECT field.

  - ### TEXT

    public static final IMAPClient.SEARCH_CRITERIA TEXT
    Messages that contain the specified string in the header or body of the message.

  - ### TO

    public static final IMAPClient.SEARCH_CRITERIA TO
    Messages that contain the specified string in the envelope structure's TO field.

  - ### UID

    public static final IMAPClient.SEARCH_CRITERIA UID
    Messages with unique identifiers corresponding to the specified unique identifier set. Sequence set ranges are permitted.

  - ### UNANSWERED

    public static final IMAPClient.SEARCH_CRITERIA UNANSWERED
    Messages that do not have the \Answered flag set.

  - ### UNDELETED

    public static final IMAPClient.SEARCH_CRITERIA UNDELETED
    Messages that do not have the \Deleted flag set.

  - ### UNDRAFT

    public static final IMAPClient.SEARCH_CRITERIA UNDRAFT
    Messages that do not have the \Draft flag set.

  - ### UNFLAGGED

    public static final IMAPClient.SEARCH_CRITERIA UNFLAGGED
    Messages that do not have the \Flagged flag set.

  - ### UNKEYWORD

    public static final IMAPClient.SEARCH_CRITERIA UNKEYWORD
    Messages that do not have the specified keyword flag set.

  - ### UNSEEN

    public static final IMAPClient.SEARCH_CRITERIA UNSEEN
    Messages that do not have the \Seen flag set.

- ## Method Details

  - ### values

    public static IMAPClient.SEARCH_CRITERIA[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IMAPClient.SEARCH_CRITERIA valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null